

      subroutine pl

c--      ploughshare return stuff --
         character*1024 gridpath
         integer        ngrids

c--      function protoypes --
         integer fetch
         integer getnbins
         character*1024 gridpaths

c--      returned cross section data -- 
         integer nbins
         double precision xsec(512)

c--      odds n ends --
         integer i, j

c--      fetch the ploughshare dataset --          
         ngrids = fetch( "atlas-atlas-dijets-arxiv-1312.3524" )

         do i = 1, ngrids

c--         get the full path to specific grid in the data set --
            call getgridpath( "atlas-atlas-dijets-arxiv-1312.3524", i-1, 
     &                         gridpath )

c--         read the grid as usual ---
            call readgrid( i, gridpath )

c--         number of bins in this grid ---    
            nbins = getnbins( i )

            write (6,*) i, " gridpath: ", gridpath, ": nbins ", nbins

c--         do the actual convolution ---
            call convolute( i, xsec )

            do j=1, nbins
               write (6,*) j, "xsec = ", xsec(j)
            end do

         end do

      end

